%global commit df94cf68b9d9d813e4d781c7edb9ac638724dadf
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           IQmol
Version:        2.3.0
Release:        2%{?dist}
Summary:        A free open-source molecular editor and visualization package
Group:          Applications/Engineering
License:        BSD and GPLv2+ and GPLv3+
URL:            http://iqmol.org
Source0:        https://github.com/nutjunkie/IQmol/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# Build in Fedora
Patch0:         IQmol-2.3.0-fedora.patch
# Patch in correct fragment and QChem interface setting directory
Patch1:         IQmol-2.3.0-fragdir.patch
# Disable nmr procedure that fails to link
Patch2:         IQmol-2.3.0-nmr.patch
# Add in missing includes
Patch3:         IQmol-2.3.0-qglviewer.patch

BuildRequires:  qt4-devel
BuildRequires:  gcc-gfortran
BuildRequires:  boost-devel
BuildRequires:  openbabel-devel
BuildRequires:  openssl-devel
BuildRequires:  libssh2-devel
BuildRequires:  libQGLViewer-devel
BuildRequires:  gl2ps-devel
BuildRequires:  desktop-file-utils
BuildRequires:  OpenMesh-devel
BuildRequires:  QMsgBox-devel
BuildRequires:  cmake

%description
IQmol is a free open-source molecular editor and visualization
package. It offers a range of features including a molecular editor,
surface generation (orbitals and densities) and animations
(vibrational modes and reaction pathways).

%package samples
Summary:       Sample structures for IQmol
BuildArch:     noarch

%description samples
This package contains samples for IQmol.

%prep
%setup -q -n IQmol-%{commit}
%patch0 -p1 -b .fedora
%patch1 -p1 -b .fragdir
%patch2 -p1 -b .nmr
%patch3 -p1 -b .qglviewer
# Get rid of bundled gl2ps
rm src/IQmol/gl2ps.{h,C}
# and of QMsgBox
rm src/Util/QMsgBox.{h,C}


%build
%cmake .
make %{?_smp_mflags} VERBOSE=1

%install
make install DESTDIR=%{buildroot}
desktop-file-install --dir=%{buildroot}/%{_datadir}/applications/ src/IQmol/resources/IQmol.desktop 
install -D -p -m 644 src/IQmol/resources/IQmol.png %{buildroot}%{_datadir}/pixmaps/IQmol.png

%files
%doc LICENSE README
%{_datadir}/applications/IQmol.desktop
%{_datadir}/pixmaps/IQmol.png
%{_datadir}/iqmol/
%{_bindir}/IQmol

%files samples
%doc samples/*

%changelog
* Wed Sep 17 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.0-2
- Fix default Q-Chem interface option directory.

* Fri Sep 05 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0.

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-10.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 02 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-9.1
- Rebuild due to updated QGLViewer.

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 2.2.0-8
- Rebuild for boost 1.55.0

* Tue Mar 04 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-7
- Fix build against newer QGLViewer in rawhide.

* Wed Dec 18 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-6
- Review fixes.

* Mon Sep 16 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-5
- Removed bundled QsLog.

* Fri Aug 30 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-4
- Removed bundled QMsgBox.

* Thu Aug 08 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-3
- Fix build on ARM.

* Fri Jul 19 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-2
- Patch to get IQmol to build against OpenBabel 2.3.2.

* Thu Jul 18 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0.

* Fri Jul 12 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.1.0-1
- First release.
